{% extends 'layout.html' %} 

{% block content %} 
    <div class="timeline">
        <form action="/auth/join" id="join-form" method="post">
            <div class="input-group">
                <lable for="join-email">이메일</lable>
                <input type="email" id="join-email" name="email">
            </div>
            <div class="input-group">
                <lable for="join-nick">닉네임</lable>
                <input type="text" id="join-nick" name="nick">
            </div>
            <div class="input-group">
                <lable for="join-password">비밀번호</lable>
                <input type="password" id="join-password" name="password">
            </div>
            <div class="input-group">
                <lable for="join-money">보유자산</lable>
                <input type="number" id="join-money" name="money">
            </div>
            <button id="join-btn" class="btn" type="submit">회원가입</button>
        </form>
    </div>
    <script>
        window.onload = () => {
            if (new URL(location.href).searchParams.get('joinError')) {
                alert(new URL(location.href).searchParams.get('joinError'));
            }
        }
    </script>
{% endblock %} 